Bug 477054 - [fontconfig] Rebuild against fontpackages-devel depending on fontpackages-filesystem
[fontconfig] Rebuild against fontpackages-devel depending on fontpackages-fil...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
: Reopened
: 645080 (view as bug list)
Depends On:
Blocks: F11-new-font-rules
  Show dependency treegraph
 
Reported: 2008-12-18 15:55 EST by Nicolas Mailhot
Modified: 2012-03-21 07:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 07:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make our fontconfig package use the path definition provided by fontpackages (3.90 KB, patch)
2010-08-01 10:42 EDT, Nicolas Mailhot
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 29341 None None None Never

  None (edit)
Description Nicolas Mailhot 2008-12-18 15:55:58 EST
As previously discussed, and approved by FPC and FESCO, common font packaging stuff has been moved to the fontpackages package.

The filesystem maintainer has been asked to release the corresponding directories in bug #477046 

Please rebuild fontconfig against fontpackages-devel to pick up the directory names it defines in macros, and depend on fontpackages-filesystem that owns the directories.

I'll add /etc/fonts to fontpackages to avoid circular deps with fontconfig ASAP
Comment 1 Behdad Esfahbod 2008-12-18 21:00:44 EST
Nicolas, fee free to do that.
Comment 2 Nicolas Mailhot 2009-02-18 14:31:44 EST
This is a reminder for all the packagers that still have bugs open about adapting to font packaging guidelines there is only one month left before Fedora 11 beta:
http://fedoraproject.org/wiki/Releases/11/Schedule

A week of this month will see the Fedora 11 mass rebuild, that will load the build farm:
http://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

As already converted packages showed it is quite possible to make mistakes during the conversion. Please make releng and QA happy and don't wait till the last minute to do your changes (avoid pre-beta panic). If possible start before the mass rebuild so we don't burn cycles on incorrect packages.

The PackageKit enhancements stated for Fedora 11 assume fonts and font-using packages are sane (basically respect packaging guidelines). It is quite possible that not-converted packages will interact with the F11 font autoinstall feature in "interesting" ways.
http://fedoraproject.org/wiki/Features/AutomaticFontInstallation

We don't want that

There is extensive documentation on the wiki and most of your questions have likely already been answered there. Please do read the FAQ before making more work for the support team by asking questions answered there.
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29
Comment 3 Bug Zapper 2009-06-09 06:18:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 08:32:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 06:57:33 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Nicolas Mailhot 2010-08-01 10:42:26 EDT
Created attachment 435872 [details]
Patch to make our fontconfig package use the path definition provided by fontpackages

Behdad, can you look at this?

It depends on upstream makefile changes I've posted in the referenced f.d.o bug

https://bugs.freedesktop.org/show_bug.cgi?id=29341

With this patch fontconfig no longer installs files in different places from regular font packages, and the fontconfig dtd is registered in system catalogs, so any sane xml tool can validate fontconfig files directly regardless of their place on the filesystem
Comment 7 Nicolas Mailhot 2010-10-20 15:51:17 EDT
*** Bug 645080 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Admin XMLRPC Client 2012-01-10 10:42:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Akira TAGOH 2012-03-21 07:11:26 EDT
Fixed in fontconfig-2.9.0-1.fc18. though 2.9.0 still keeps config files under /etc/fonts/conf.avail, it can be improved in the future release.

Note You need to log in before you can comment on or make changes to this bug.